﻿using Syncfusion.XForms.Graphics;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace GradientViewSample
{
    public partial class MainPage : ContentPage, INotifyPropertyChanged
    {
        private GradientStopCollection gradientStopsValue;

        public event PropertyChangedEventHandler PropertyChanged;

        public MainPage()
        {
            InitializeComponent();
            Count.Text = "5";
            MeasureGradientStop();
            this.BindingContext = this;
        }

        private void Click_Clicked(object sender, EventArgs e)
        {            
            MeasureGradientStop();
        }

        private void MeasureGradientStop()
        {
            
            var count = Convert.ToInt16(Count.Text);
            GradientStopCollection collect = new GradientStopCollection();
            for (double i = 0.0; i < 1.0;)
            {
                collect.Add(new SfGradientStop() { Color = Color.FromHex("#45509A"), Offset = (double)i });
                collect.Add(new SfGradientStop() { Color = Color.FromHex("#5F6BBE"), Offset = (double)(i + 1.0 / count) });
                i = (double)(i + (1.0 / count));
            }
            GradientStopsValue = collect;
        }

        public GradientStopCollection GradientStopsValue
        {
            get { return gradientStopsValue; }
            set { gradientStopsValue = value; onpropertychanged("GradientStopsValue"); }
        }

        private void onpropertychanged(string name)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
